#include "ParamQualifiers.hpp"

namespace abstraction {

std::ostream & operator << ( std::ostream & os, const ParamQualifiers::ParamQualifier & paramQualifier ) {
	switch ( paramQualifier ) {
		case ParamQualifiers::ParamQualifier::LREF:
			os << "LValue reference";
			break;
		case ParamQualifiers::ParamQualifier::RREF:
			os << "RValue reference";
			break;
		case ParamQualifiers::ParamQualifier::CONST:
			os << "Constant";
			break;
	}
	return os;
}

} /* namespace abstraction */
