/*
 * Segfault.h
 *
 *  Created on: 18. 3. 2019
 *	  Author: Tomas Pecka
 */

#include "Segfault.h"
#include <registration/AlgoRegistration.hpp>

namespace debug {

#ifdef DEBUG

int debug::Segfault::segfault ( ) {
	return * NULL_VALUE;
}

int * debug::Segfault::NULL_VALUE;

#endif /* DEBUG */

} /* namespace debug */

namespace {

#ifdef DEBUG

auto SegfaultInt = registration::AbstractRegister < debug::Segfault, int > ( debug::Segfault::segfault );

#endif /* DEBUG */

} /* namespace */
